Skip to content

Authentication ​

20 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getSwitchDot1xSettingGETGet site switch 802.1x setting
updateSwitchDot1xSettingPATCHModify site switch 802.1x setting
getSwitchDot1xCandidatesGETGet site switch 802.1x setting candidates
getEapDot1xSettingGETGet site eap 802.1x setting
updateEapDot1xSettingPATCHModify site EAP 802.1x setting
getEapDot1xCandidatesGETGet site EAP 802.1x setting candidates
getPortalCandidatesPOSTGet portal SSIDs and networks
getMacAuthSetting_1GETGet site MAC-Based Authentication info
updateMacAuthSetting_1PATCHUpdate site MAC-Based Authentication info
getMacAuthSsids_1GETGet ssids that support MAC auth
addPortalPOSTAdd portal
deletePortalDELETEDelete portal
getPortalDetailGETGet portal detail
modifyPortalPATCHModify portal
getPortalCustomizationGETGet portal customization
uploadPortalPagePOSTImport portal page
uploadPortalPicPOSTUpload portal picture
getGlobalPortalDomainSettingGETGet Portal Domain
getPortalListGETGet portal list in a site
getPortalListWithLogoutEnabledGETGets a list of logout enabled portals on the site

getSwitchDot1xSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dot1x

Get site switch 802.1x setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSwitchDot1xSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get switch 802.1x setting of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

updateSwitchDot1xSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/dot1x

Modify site switch 802.1x setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Dot1xSwitchOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesSwitch 802.1x function enable status
radiusProfileIdstringyesThis field represents radius profile ID. Radius profile can be created using 'Create a new RADIUS profile' ('Create a new RADIUS profile template') interface, and radius profile ID can be obtained from 'Get RADIUS profile list' ('Get RADIUS profile template list') interface
authModeintegeryesMode of authentication protocol. AuthMode should be a value as follows: 0: PAP, 1: EAP
authTypeintegeryesType of the authentication. AuthType should be a value as follows: 0: Port based, 1: Mac based
vlanAssignbooleanyesVLAN Assignment enable status
mabbooleanyesMAB enable status
macFormatintegeryesFormat of the MAC address. MacFormat should be a value as follows: 0: aabbccddeeff, 1: aa-bb-cc-dd-ee-ff, 2: aa:bb:cc:dd:ee:ff, 3: AABBCCDDEEFF, 4: AA-BB-CC-DD-EE-FF, 5: AA:BB:CC:DD:EE:FF
nasIdstringnoNas ID,NasId should contain 1~31 characters, except the question mark (?) and double quote (").
guestVlanintegernoGuest VLAN, clients that have not been authorized will be added to the guest VLAN.The value of guest VLAN should be selected from the created LAN Network.
switchesarray<Dot1xSwitchSettingOpenApiVO>noEnabled switch ports, optional when update switch 802.1x setting
json
// omada_call_operation
{
  "operationId": "updateSwitchDot1xSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify switch 802.1x setting of the site with the given parameters.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39700 - Switch does not exist

getSwitchDot1xCandidates ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dot1x/candidates

Get site switch 802.1x setting candidates

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSwitchDot1xCandidates",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get switch 802.1x setting candidates of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getEapDot1xSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dot1x/eap

Get site eap 802.1x setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getEapDot1xSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get eap 802.1x setting of the site with the given omadacId and siteId.MAB is enabled by default.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

updateEapDot1xSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/dot1x/eap

Modify site EAP 802.1x setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Dot1xEapOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesEAP 802.1x function enable status
radiusProfileIdstringnoThis field represents radius profile ID. Radius profile can be created using 'Create a new RADIUS profile' ('Create a new RADIUS profile template') interface, and radius profile ID can be obtained from 'Get RADIUS profile list' ('Get RADIUS profile template list') interface
macFormatintegernoFormat of the MAC address. MacFormat should be a value as follows: 0: aabbccddeeff, 1: aa-bb-cc-dd-ee-ff, 2: aa:bb:cc:dd:ee:ff, 3: AABBCCDDEEFF, 4: AA-BB-CC-DD-EE-FF, 5: AA:BB:CC:DD:EE:FF
guestVlanSettingDot1xGuestVlanSettingOpenApiVOno(Dot1xGuestVlanSettingOpenApiVO not expanded; call omada_get_schema "Dot1xGuestVlanSettingOpenApiVO")
eapsarray<Dot1xEapSettingOpenApiVO>noEnabled eap ports
json
// omada_call_operation
{
  "operationId": "updateEapDot1xSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify EAP 802.1x setting of the site with the given parameters.MAB is enabled by default.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getEapDot1xCandidates ​

GET /openapi/v1/{omadacId}/sites/{siteId}/dot1x/eap/candidates

Get site EAP 802.1x setting candidates

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getEapDot1xCandidates",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get EAP 802.1x setting candidates of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getPortalCandidates ​

POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/portal/candidates

Get portal SSIDs and networks

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema PortalCandidatesOpenApiVO

FieldTypeRequiredDescription
allPortalbooleanyesWhether portal privilege is true
portalIdsarray<string>noPortal IDs of the requested SSIDs and networks.
json
// omada_call_operation
{
  "operationId": "getPortalCandidates",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get SSIDs and network of the portals
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getMacAuthSetting_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/mac-auth

Get site MAC-Based Authentication info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getMacAuthSetting_1",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get MAC-Based Authentication setting info of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

updateMacAuthSetting_1 ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/mac-auth

Update site MAC-Based Authentication info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema UpdateMacAuthOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesMAC-Based Authentication enable status
ssidsarray<string>yesSSID ID list with MAC-Based authentication configured. SSID can be created using 'Create new SSID' ('Create new SSID template') interface, and SSID ID can be obtained from 'Get SSID list' ('Get SSID template list') interface
radiusProfileIdstringnoThis field represents radius profile ID. Radius profile can be created using 'Create a new RADIUS profile' ('Create a new RADIUS profile template') interface, and radius profile ID can be obtained from 'Get RADIUS profile list' ('Get RADIUS profile template list') interface
mabEnablebooleannoMAB enable status
macFormatintegernoFormat of the MAC address. MacFormat should be a value as follows: 0: aabbccddeeff, 1: aa-bb-cc-dd-ee-ff, 2: aa:bb:cc:dd:ee:ff, 3: AABBCCDDEEFF, 4: AA-BB-CC-DD-EE-FF, 5: AA:BB:CC:DD:EE:FF
emptyPwdEnablebooleannoWhether to enable empty password
nasIdstringnoNAS ID issued to AP. NasId should contain 1 to 64 characters
json
// omada_call_operation
{
  "operationId": "updateMacAuthSetting_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update MAC-Based Authentication setting info of the site with the given parameters.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getMacAuthSsids_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/mac-auth/ssids

Get ssids that support MAC auth

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getMacAuthSsids_1",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get ssid list that support MAC-Based Authentication with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

addPortal ​

POST /openapi/v1/{omadacId}/sites/{siteId}/portal

Add portal

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema PortalSetting

FieldTypeRequiredDescription
namestringyesPortal Name, should contain 1 to 128 characters
enablebooleanyesPortal Enable
ssidListarray<string>noSSID ID list bound with this Portal. SSID can be created using 'Create new SSID' ('Create new SSID template') interface, and SSID ID can be obtained from 'Get SSID list' ('Get SSID template list') interface
networkListarray<string>noLan network ID list bound with this Portal. LAN Network can be created using 'Create LAN network' ('Create LAN network template') interface, and LAN Network ID can be obtained from 'Get LAN network list' ('Get LAN network template list') interface
authTypeintegeryesAuth Type, should be a value as follows: <br/>0:No Authentication; 1:Simple Password;<br/>2: External RADIUS Server; 4:External Portal Server;<br/>11:Hotspot; 15: Ldap; 16: Social Login
authTimeoutAuthTimeoutSettingyes(AuthTimeoutSetting not expanded; call omada_get_schema "AuthTimeoutSetting")
httpsRedirectEnablebooleanyesWith this option enabled, unauthenticated clients will be redirected to the Portal page when they are trying to browse HTTPS websites.
landingPageintegeryesLandingPage enum: 1: Redirect to the original URL, 2: Redirect to Promotional URL, 3: Redirect to Logout Page. <br/>With The Original URL selected, clients are directed to the URL they request for after they pass Portal authentication. <br/>With The Promotional URL selected, clients are directed to the specified URL here after they pass Portal authentication. <br/>With The Logout Page selected, clients are directed to the Portal Logout Page after they pass Portal authentication.
landingUrlSchemestringnoIf Parameter [landingPage] is 2(Redirect to Promotional URL),this Parameter is requested, content is http or https.
landingUrlstringnoIf Parameter [landingPage] is 2(Redirect to Promotional URL),this Parameter is requested.
noAuthNoAuthSettingno(NoAuthSetting not expanded; call omada_get_schema "NoAuthSetting")
simplePasswordSimplePasswordSettingno(SimplePasswordSetting not expanded; call omada_get_schema "SimplePasswordSetting")
hotspotHotspotSettingno(HotspotSetting not expanded; call omada_get_schema "HotspotSetting")
socialLoginSocialLoginSettingOpenApiVOno(SocialLoginSettingOpenApiVO not expanded; call omada_get_schema "SocialLoginSettingOpenApiVO")
googleGoogleOAuthSettingOpenApiVOno(GoogleOAuthSettingOpenApiVO not expanded; call omada_get_schema "GoogleOAuthSettingOpenApiVO")
smsSmsSettingno(SmsSetting not expanded; call omada_get_schema "SmsSetting")
portalFormIdstringnoPortal form ID, required when [authType] is 11 and hotspot [enabledTypes] contains 12.
hotspotRadiusHotspotRadiusSettingno(HotspotRadiusSetting not expanded; call omada_get_schema "HotspotRadiusSetting")
externalPortalExternalServerPortalSettingno(ExternalServerPortalSetting not expanded; call omada_get_schema "ExternalServerPortalSetting")
externalRadiusExternalRadiusSettingno(ExternalRadiusSetting not expanded; call omada_get_schema "ExternalRadiusSetting")
ldapLdapSettingno(LdapSetting not expanded; call omada_get_schema "LdapSetting")
pageTypeintegernoPage type, should be a value as follows: 1: Use default page, 2: use uploaded page. When [pageType] is null, it defaults to 1
importedPortalPageImportedPortalPageOpenApiVOno(ImportedPortalPageOpenApiVO not expanded; call omada_get_schema "ImportedPortalPageOpenApiVO")
portalCustomizePortalCustomizeOpenApiVOno(PortalCustomizeOpenApiVO not expanded; call omada_get_schema "PortalCustomizeOpenApiVO")
json
// omada_call_operation
{
  "operationId": "addPortal",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Add new portal
The interface requires one of the permissions:
Site Hotspot Manager Modify

deletePortal ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/portal/{portalId}

Delete portal

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
portalIdpathstringyesPortal ID
json
// omada_call_operation
{
  "operationId": "deletePortal",
  "params": {
    "siteId": "<siteId>",
    "portalId": "<portalId>"
  }
}
Details, permissions and error codes

Delete portal setting with the given portalId
The interface requires one of the permissions:
Site Hotspot Manager Modify

getPortalDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/portal/{portalId}

Get portal detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
portalIdpathstringyesPortal ID
json
// omada_call_operation
{
  "operationId": "getPortalDetail",
  "params": {
    "siteId": "<siteId>",
    "portalId": "<portalId>"
  }
}
Details, permissions and error codes

Get portal detail information with the given omadacId, siteId and portalId.
The interface requires one of the permissions:
Site Hotspot Manager View Only

modifyPortal ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/portal/{portalId}

Modify portal

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
portalIdpathstringyesPortal ID

Request body — application/json (required) — schema PortalSetting

FieldTypeRequiredDescription
namestringyesPortal Name, should contain 1 to 128 characters
enablebooleanyesPortal Enable
ssidListarray<string>noSSID ID list bound with this Portal. SSID can be created using 'Create new SSID' ('Create new SSID template') interface, and SSID ID can be obtained from 'Get SSID list' ('Get SSID template list') interface
networkListarray<string>noLan network ID list bound with this Portal. LAN Network can be created using 'Create LAN network' ('Create LAN network template') interface, and LAN Network ID can be obtained from 'Get LAN network list' ('Get LAN network template list') interface
authTypeintegeryesAuth Type, should be a value as follows: <br/>0:No Authentication; 1:Simple Password;<br/>2: External RADIUS Server; 4:External Portal Server;<br/>11:Hotspot; 15: Ldap; 16: Social Login
authTimeoutAuthTimeoutSettingyes(AuthTimeoutSetting not expanded; call omada_get_schema "AuthTimeoutSetting")
httpsRedirectEnablebooleanyesWith this option enabled, unauthenticated clients will be redirected to the Portal page when they are trying to browse HTTPS websites.
landingPageintegeryesLandingPage enum: 1: Redirect to the original URL, 2: Redirect to Promotional URL, 3: Redirect to Logout Page. <br/>With The Original URL selected, clients are directed to the URL they request for after they pass Portal authentication. <br/>With The Promotional URL selected, clients are directed to the specified URL here after they pass Portal authentication. <br/>With The Logout Page selected, clients are directed to the Portal Logout Page after they pass Portal authentication.
landingUrlSchemestringnoIf Parameter [landingPage] is 2(Redirect to Promotional URL),this Parameter is requested, content is http or https.
landingUrlstringnoIf Parameter [landingPage] is 2(Redirect to Promotional URL),this Parameter is requested.
noAuthNoAuthSettingno(NoAuthSetting not expanded; call omada_get_schema "NoAuthSetting")
simplePasswordSimplePasswordSettingno(SimplePasswordSetting not expanded; call omada_get_schema "SimplePasswordSetting")
hotspotHotspotSettingno(HotspotSetting not expanded; call omada_get_schema "HotspotSetting")
socialLoginSocialLoginSettingOpenApiVOno(SocialLoginSettingOpenApiVO not expanded; call omada_get_schema "SocialLoginSettingOpenApiVO")
googleGoogleOAuthSettingOpenApiVOno(GoogleOAuthSettingOpenApiVO not expanded; call omada_get_schema "GoogleOAuthSettingOpenApiVO")
smsSmsSettingno(SmsSetting not expanded; call omada_get_schema "SmsSetting")
portalFormIdstringnoPortal form ID, required when [authType] is 11 and hotspot [enabledTypes] contains 12.
hotspotRadiusHotspotRadiusSettingno(HotspotRadiusSetting not expanded; call omada_get_schema "HotspotRadiusSetting")
externalPortalExternalServerPortalSettingno(ExternalServerPortalSetting not expanded; call omada_get_schema "ExternalServerPortalSetting")
externalRadiusExternalRadiusSettingno(ExternalRadiusSetting not expanded; call omada_get_schema "ExternalRadiusSetting")
ldapLdapSettingno(LdapSetting not expanded; call omada_get_schema "LdapSetting")
pageTypeintegernoPage type, should be a value as follows: 1: Use default page, 2: use uploaded page. When [pageType] is null, it defaults to 1
importedPortalPageImportedPortalPageOpenApiVOno(ImportedPortalPageOpenApiVO not expanded; call omada_get_schema "ImportedPortalPageOpenApiVO")
portalCustomizePortalCustomizeOpenApiVOno(PortalCustomizeOpenApiVO not expanded; call omada_get_schema "PortalCustomizeOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyPortal",
  "params": {
    "siteId": "<siteId>",
    "portalId": "<portalId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify the portal with the portal ID
The interface requires one of the permissions:
Site Hotspot Manager Modify

getPortalCustomization ​

GET /openapi/v1/{omadacId}/sites/{siteId}/portal/{portalId}/customization

Get portal customization

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
portalIdpathstringyesPortal ID
json
// omada_call_operation
{
  "operationId": "getPortalCustomization",
  "params": {
    "siteId": "<siteId>",
    "portalId": "<portalId>"
  }
}
Details, permissions and error codes

Get portal customization information with the given omadacId, siteId and portalId.
The interface requires one of the permissions:
Site Hotspot Manager View Only

uploadPortalPage ​

POST /openapi/v1/{omadacId}/sites/{siteId}/portal/page

Import portal page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — multipart/form-data (optional). File field(s): file.

json
// omada_call_operation
{
  "operationId": "uploadPortalPage",
  "params": {
    "siteId": "<siteId>"
  },
  "files": {
    "file": {
      "path": "/path/to/file"
    }
  }
}
Details, permissions and error codes

Import portal page
The interface requires one of the permissions:
Site Hotspot Manager Modify

uploadPortalPic ​

POST /openapi/v1/{omadacId}/sites/{siteId}/portal/pics

Upload portal picture

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
typequerystringyesPortal picture type: background/logo/advertisement.

Request body — multipart/form-data (optional). File field(s): file.

json
// omada_call_operation
{
  "operationId": "uploadPortalPic",
  "params": {
    "siteId": "<siteId>",
    "type": "<type>"
  },
  "files": {
    "file": {
      "path": "/path/to/file"
    }
  }
}
Details, permissions and error codes

Upload portal picture
The interface requires one of the permissions:
Site Hotspot Manager Modify

getGlobalPortalDomainSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/portal/setting/domain

Get Portal Domain

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getGlobalPortalDomainSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get portal domain setting with the given omadacId and siteId.
The interface requires one of the permissions:
Network Config Page View Only

getPortalList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/portals

Get portal list in a site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getPortalList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get portal list with the given omadacId, siteId.
The interface requires one of the permissions:
Site Hotspot Manager View Only

getPortalListWithLogoutEnabled ​

GET /openapi/v1/{omadacId}/sites/{siteId}/portals/logout-enabled

Gets a list of logout enabled portals on the site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getPortalListWithLogoutEnabled",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Gets a list of logout enabled portals on the site
The interface requires one of the permissions:
Site Device Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.